"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const paths = require("path");
function findPathToModule(dir, moduleName) {
    const stat = fs.statSync(dir);
    if (stat.isDirectory()) {
        const candidate = paths.resolve(dir, 'node_modules', moduleName);
        if (fs.existsSync(candidate)) {
            return candidate;
        }
    }
    const parent = paths.resolve(dir, '..');
    if (parent !== dir) {
        return findPathToModule(paths.resolve(dir, '..'), moduleName);
    }
    return undefined;
}
exports.findPathToModule = findPathToModule;
//# sourceMappingURL=modules-resolver.js.map